> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a YearMakeModelTrim



## OpenAPI

````yaml Commerce get /yearmakemodeltrims/{make}/{model}/{year}/{trim}
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /yearmakemodeltrims/{make}/{model}/{year}/{trim}:
    parameters:
      - schema:
          type: string
        name: make
        in: path
        required: true
        description: YearMakeModelTrim is uniquely identified by YearMakeModel
      - schema:
          type: string
        name: model
        in: path
        required: true
        description: YearMakeModelTrim is uniquely identified by YearMakeModel
      - schema:
          type: integer
        name: year
        in: path
        required: true
        description: YearMakeModelTrim is uniquely identified by YearMakeModel
      - schema:
          type: string
        name: trim
        in: path
        required: true
        description: YearMakeModelTrim is uniquely identified by Trim
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    get:
      summary: Retrieve a YearMakeModelTrim
      operationId: get-yearmakemodeltrim
      responses:
        '200':
          description: YearMakeModelTrim Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/YearMakeModelTrim'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '404':
          description: YearMakeModelTrim Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 404
                      message: YearMakeModelTrim Not Found
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    YearMakeModelTrim:
      $id: YearMakeModelTrim
      title: YearMakeModelTrim
      type: object
      description: YearMakeModel has Trim
      examples:
        - trim: SE
          yearMakeModel:
            year: 2022
            makeModel:
              make: Toyota
              model: Camry
          yearMakeModelTrimSpec:
            - vs_4jf8x9jv5c0b
            - id: vs_4jf8x9jv5c0b
              model: Camry
              make: Toyota
              squishVin: 4T1BF1FK5HU302396
              year: 2022
              engine: 2.5L 4-cylinder
              drivetrain: FWD
              bodyStyle: Sedan
              transmission: Automatic
              trim: SE
              exteriorColors:
                - Black
                - Silver
              interiorColors:
                - Black
                - Gray
      properties:
        yearMakeModel:
          oneOf:
            - type: object
              properties:
                makeModel:
                  oneOf:
                    - type: object
                      properties:
                        make:
                          type: string
                        model:
                          type: string
                      required:
                        - make
                        - model
                    - $ref: '#/components/schemas/MakeModel'
                year:
                  type: integer
              required:
                - makeModel
                - year
            - $ref: '#/components/schemas/YearMakeModel'
          description: YearMakeModelTrim is uniquely identified by YearMakeModel
        trim:
          type: string
          description: YearMakeModelTrim is uniquely identified by Trim
        yearMakeModelTrimSpec:
          type: array
          items:
            oneOf:
              - type: string
              - $ref: '#/components/schemas/VehicleSpec'
          description: YearMakeModelTrim has Vehicle Spec
      required:
        - yearMakeModel
        - trim
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean
    MakeModel:
      $id: MakeModel
      title: MakeModel
      type: object
      description: Make manufactured Model
      examples:
        - make: Toyota
          model: Camry
      properties:
        make:
          type: string
          description: MakeModel is uniquely identified by Make
        model:
          type: string
          description: MakeModel is uniquely identified by Model
      required:
        - make
        - model
    YearMakeModel:
      $id: YearMakeModel
      title: YearMakeModel
      type: object
      description: MakeModel was manufactured for Year
      examples:
        - year: 2022
          makeModel:
            make: Toyota
            model: Camry
      properties:
        makeModel:
          oneOf:
            - type: object
              properties:
                make:
                  type: string
                model:
                  type: string
              required:
                - make
                - model
            - $ref: '#/components/schemas/MakeModel'
          description: YearMakeModel is uniquely identified by MakeModel
        year:
          type: integer
          description: YearMakeModel is uniquely identified by Year
      required:
        - makeModel
        - year
    VehicleSpec:
      $id: VehicleSpec
      title: Vehicle Spec
      examples:
        - id: vs_4jf8x9jv5c0b
          make: Toyota
          year: 2022
          trim: SE
          model: Camry
          engine: 2.5L 4-cylinder
          squishVin: 4T1BF1FK5H
          bodyStyle: Sedan
          drivetrain: FWD
          transmission: Automatic
          exteriorColors:
            - Black
            - Silver
          interiorColors:
            - Black
            - Gray
      properties:
        id:
          type: string
          description: Vehicle Spec is uniquely identified by id
        model:
          type: string
          description: Vehicle Spec has Model
        make:
          type: string
          description: Vehicle Spec has Make
        squishVin:
          type: string
          minLength: 10
          maxLength: 10
          description: Vehicle Spec has Squish VIN
        year:
          type: integer
          description: Vehicle Spec has Year
        engine:
          type: string
          description: Vehicle Spec has Engine specifications
        drivetrain:
          type: string
          description: Vehicle Spec has Drivetrain
        bodyStyle:
          type: string
          description: Vehicle Spec has Body Style
        transmission:
          type: string
          description: Vehicle Spec has Transmission
        trim:
          type: string
          description: Vehicle Spec has Trim
        exteriorColors:
          type: array
          items:
            type: string
          description: Vehicle Spec has Exterior Color
        interiorColors:
          type: array
          items:
            type: string
          description: Vehicle Spec has Interior Color
      type: object
      required:
        - id
        - model
        - make
        - year
        - engine
        - drivetrain
        - bodyStyle
        - transmission

````